## org.eclipse.amp.axf.core
Enum EngineControl

    java.lang.Object
      java.lang.Enum<EngineControl>
          org.eclipse.amp.axf.core.EngineControl

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<EngineControl>

    public enum EngineControl

extends java.lang.Enum<EngineControl>

The Enum EngineControl.

Enum Constant Summary
`CLOSE`
`OPEN`
`PAUSE`
`RESTART`
`RESUME`
`SAVE`
`START`
`STEP`
`STOP`

Method Summary
`static EngineControl` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static EngineControl[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### OPEN

    public static final EngineControl OPEN

### START

    public static final EngineControl START

### RESTART

    public static final EngineControl RESTART

### STEP

    public static final EngineControl STEP

### PAUSE

    public static final EngineControl PAUSE

### RESUME

    public static final EngineControl RESUME

### STOP

    public static final EngineControl STOP

### SAVE

    public static final EngineControl SAVE

### CLOSE

    public static final EngineControl CLOSE

Method Detail

### values

    public static EngineControl[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (EngineControl c : EngineControl.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static EngineControl valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null